Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class SAXParser

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser

public abstract class SAXParser
extends java.lang.Object

Wraps a SAX2 (or SAX1) parser.

Version:
  1.0
Author:
  Andrew Selkirk

Constructor Summary
`protected` | `SAXParser()`

Method Summary
`abstract Parser` | `getParser()`
`abstract java.lang.Object` | `getProperty(java.lang.String id)`
`abstract XMLReader` | `getXMLReader()`
`abstract boolean` | `isNamespaceAware()`
`abstract boolean` | `isValidating()`
`void` | `parse(java.io.File file, DefaultHandler def)`
`void` | `parse(java.io.File file, HandlerBase handler)`
`void` | `parse(InputSource source, DefaultHandler def)`
`void` | `parse(InputSource source, HandlerBase handler)`
`void` | `parse(java.io.InputStream stream, DefaultHandler def)`
`void` | `parse(java.io.InputStream stream, DefaultHandler def, java.lang.String systemID)`
`void` | `parse(java.io.InputStream stream, HandlerBase handler)`
`void` | `parse(java.io.InputStream stream, HandlerBase handler, java.lang.String systemID)`
`void` | `parse(java.lang.String uri, DefaultHandler def)`
`void` | `parse(java.lang.String uri, HandlerBase handler)`
`abstract void` | `setProperty(java.lang.String id, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParser

    protected SAXParser()

Method Detail

### setProperty

    public abstract void setProperty(java.lang.String id,
                                     java.lang.Object value)
                              throws SAXNotRecognizedException,
                                     SAXNotSupportedException

### getProperty

    public abstract java.lang.Object getProperty(java.lang.String id)
                                          throws SAXNotRecognizedException,
                                                 SAXNotSupportedException

### parse

    public void parse(java.io.InputStream stream,
                      HandlerBase handler)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.io.InputStream stream,
                      HandlerBase handler,
                      java.lang.String systemID)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.io.InputStream stream,
                      DefaultHandler def)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.io.InputStream stream,
                      DefaultHandler def,
                      java.lang.String systemID)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.lang.String uri,
                      HandlerBase handler)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.lang.String uri,
                      DefaultHandler def)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.io.File file,
                      HandlerBase handler)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(java.io.File file,
                      DefaultHandler def)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(InputSource source,
                      HandlerBase handler)
               throws SAXException,
                      java.io.IOException

### parse

    public void parse(InputSource source,
                      DefaultHandler def)
               throws SAXException,
                      java.io.IOException

### getParser

    public abstract Parser getParser()
                              throws SAXException

### getXMLReader

    public abstract XMLReader getXMLReader()
                                    throws SAXException

### isNamespaceAware

    public abstract boolean isNamespaceAware()

### isValidating

    public abstract boolean isValidating()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.